## wmbutton 0.4

=== Makefile ===
INCLUDES =-I/usr/X11R6/include/X11 -I/usr/local/include -I/usr/include/X11R6/X11
LIBINC =-L/usr/X11R6/lib -L/usr/include/lib
LIBS = -lX11 -lXpm -lXext

TARGET = wmbutton
OBJECTS = wmbutton.o readln.o

.c.o:
	gcc -O2 -c -Wall ${INCLUDES} ${FLAGS} $< -o $*.o

${TARGET}: ${OBJECTS}
	gcc -O2 -o ${TARGET} ${OBJECTS} ${LIBINC} ${LIBS}

clean::
	for i in ${OBJECTS}; do if [ -e $$i ] ; then rm $$i; fi; done 
	if [ -e ${TARGET} ] ; then rm ${TARGET}; fi

## wmbutton 0.6.1

=== Makefile ===
INCLUDES =-I/usr/X11R6/include/X11 -I/usr/local/include -I/usr/include/X11R6/X11
LIBINC =-L/usr/X11R6/lib -L/usr/include/lib
LIBS = -lX11 -lXpm -lXext

TARGET = wmbutton
OBJECTS = wmbutton.o wmb_libs.o

CFLAGS += -c -Wall -O2

all: ${TARGET} tags

.c.o:
	gcc ${CFLAGS} ${INCLUDES} $< -o $*.o

${TARGET}: ${OBJECTS}
	gcc -o ${TARGET} ${OBJECTS} ${LIBINC} ${LIBS}

clean::
	for i in ${OBJECTS}; do if [ -e $$i ] ; then rm $$i; fi; done 
	if [ -e ${TARGET} ] ; then rm ${TARGET}; fi
	if [ -e tags ]; then rm tags; fi
	if [ -e core ]; then rm core; fi

wmbutton.o: wmbutton.c wmbutton.h Makefile

wmb_libs.o: wmb_libs.c wmbutton.h Makefile

tags:
	ctags *.[ch]

## wmbutton 0.7.0

=== Makefile ===
INCLUDES =-I/usr/include -I/usr/local/include
LIBINC =-L/usr/X11R6/lib -L/usr/include/lib
LIBS = -lX11 -lXpm -lXext

TARGET = wmbutton
OBJECTS = wmbutton.o wmb_libs.o
DESTDIR = /usr/local
PREFIX = /usr
BINDIR = /bin
CONF   = /etc
CONFFL = ${CONF}/wmbutton.conf
INSTALL = /usr/bin/install

CFLAGS += -Wall -O2
LDFLAGS +=

.c.o:
	gcc -c ${CFLAGS} ${INCLUDES} $< -o $*.o

${TARGET}: ${OBJECTS}
	gcc -o ${TARGET} ${OBJECTS}  ${LDFLAGS} ${LIBINC} ${LIBS}

clean::
	for i in ${OBJECTS}; do if [ -e $$i ] ; then rm $$i; fi; done 
	if [ -e ${TARGET} ] ; then rm ${TARGET}; fi
	if [ -e tags ]; then rm tags; fi
	if [ -e core ]; then rm core; fi

install::
	$(INSTALL) -d -m 0755 ${DESTDIR}${PREFIX}${BINDIR} ${DESTDIR}${CONF}
	$(INSTALL) -p -o root -g root -m 755 wmbutton ${DESTDIR}${PREFIX}${BINDIR}
	$(INSTALL) -p -o root -g root -m 644 sample.wmbutton ${DESTDIR}${CONFFL}

wmbutton.o: wmbutton.c wmbutton.h Makefile

wmb_libs.o: wmb_libs.c wmbutton.h Makefile

tags:
	ctags *.[ch]

=== debian/changelog ===
wmbutton (0.7.0-2) unstable; urgency=low

  * Package moved from experimental to unstable and updated.
  * debian/control
    - Bumped Standards-Version to 3.9.4
    - Removed DM-Upload-Allowed flag.
    - Maintainer email address changed from kix@kix.es to kix@debian.org.
    - Added Vcs-Git and Vcs-Browser fields.
    - Debconf version 9 (previous was 8.1.3~).
  * Removed debian/source/lintian-overrides 
    - Because debhelper is version 9, the lintian override
      "package-needs-versioned-debhelper-build-depends 9" is not needed.

 -- Rodolfo García Peñas (kix) <kix@debian.org>  Sun, 21 Jul 2013 10:44:11 +0200

wmbutton (0.7.0-1) experimental; urgency=low

  * New maintainer (Closes: #661120)
  * New upstream version (Closes: #632477).
  * debian/control:
    - Bumped Standards-Version to 3.9.3
    - Debconf version 9 (see debian/compat too).
    - Added info about wmaker package in description
    - New Homepage field.
    - Included DM-Upload-Allowed.
    - Removed priority and section fields in binary package.
  * debian/rules:
    - File full rewrited.
  * debian/manpages: manpage is now at upstream.
  * New debian/patches (DEP-3).
    - 01_Debian_config.patch; Include:
      - Debian specific icons.
      - Debian specific config file.
  * debian/copyright is now DEP-5.
  * Added debian/watch file to avoid lintian problem.
    - This file has a comment because the upstream is a git repository.
  * debian/menu: Section changed to "Applications/File Management"
  * Added lintian-overides file because upstream changelog is not available.

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Tue, 21 Aug 2012 21:32:55 +0200

wmbutton (0.6.1-3.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * debian/control
    - (Build-Depends): update obsolete x-dev to x11proto-core-dev.
      (important RC bug; Closes: #515404).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 27 Mar 2010 10:27:25 +0200

wmbutton (0.6.1-3) unstable; urgency=low

  * debian/control: Updated build-depends (removed xlibs-dev)
    (Closes: #346897)
  * debian/control: Standards-Version to 3.6.2

 -- Christian Aichinger <Greek0@gmx.net>  Fri,  6 Jan 2006 02:00:27 +0100

wmbutton (0.6.1-2) unstable; urgency=low

  * Fixed build problems on several platforms
  * debian/control: Fixed binary package section and priority

 -- Christian Aichinger <Greek0@gmx.net>  Tue, 15 Feb 2005 00:48:52 +0100

wmbutton (0.6.1-1) unstable; urgency=low

  * New Maintainer
  * New upstream version 0.6.1 (Closes: #245868)
  * debian/control: Standards-Version to 3.6.1.1

 -- Christian Aichinger <Greek0@gmx.net>  Sun, 16 Jan 2005 16:40:13 +0100

wmbutton (0.4-5) unstable; urgency=low

  * Update README.Debian to clarify customization (Closes: #179418)
  * debian/control: Standards-Version to 3.5.8
  * debian/rules: Add support for DEB_BUILD_OPTIONS
  * debian/conffiles: Remove /etc/wmbutton.conf, debhelper
                      adds it automatically

 -- Gordon Fraser <gordon@debian.org>  Fri,  7 Feb 2003 19:56:54 +0100

wmbutton (0.4-4) unstable; urgency=low

  * Applied patch from Steve Kemp <skx@tardis.ed.ac.uk> to avoid buffer
    overflow (Closes: #167225)

 -- Gordon Fraser <gordon@debian.org>  Thu, 31 Oct 2002 15:59:47 +0100

wmbutton (0.4-3) unstable; urgency=low

  * Manpage updates
  * Minor code cleanups, documentation updates
  * Update package description

 -- Gordon Fraser <gordon@debian.org>  Mon,  4 Feb 2002 17:50:43 +0100

wmbutton (0.4-2) unstable; urgency=low

  * Update manpage to credit author
  * Fix spelling mistakes (Closes: #125487)
  * Add information how to customize
  * Update maintainer's email

 -- Gordon Fraser <gordon@debian.org>  Wed,  5 Dec 2001 09:00:29 +0100

wmbutton (0.4-1) unstable; urgency=low

  * Initial Release - (Closes: #113946)

 -- Gordon Fraser <gordon@debian.org>  Tue, 18 Sep 2001 20:27:46 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: wmbutton
Section: x11
Priority: optional
Maintainer: Rodolfo García Peñas (kix) <kix@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxpm-dev,
 x11proto-core-dev
Homepage: http://windowmaker.org/
Vcs-Git: git://repo.or.cz/dockapps.git
Vcs-Browser: http://repo.or.cz/r/dockapps.git

Package: wmbutton
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dockapp displaying nine configurable buttons
 Wmbutton displays nine buttons which can be configured through a config file.
 Each button can be assigned up to three commands (one per mouse button).
 It is intended as a dockapp for X window managers such as Window Maker
 (wmaker package), AfterStep, BlackBox, and Enlightenment.

=== debian/rules ===
#!/usr/bin/make -f

# I need add CPPFLAGS in CFLAGS, because upstream Makefile don't uses CPPFLAGS
export CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
export CFLAGS += ${CPPFLAGS}

%:
	dh $@

=== debian/watch ===
# This application can be found at http://repo.or.cz/w/dockapps.git

## wmbutton 0.7.1

=== debian/changelog ===
wmbutton (0.7.1-2) unstable; urgency=medium

  [ Doug Torrance ]
  * debian/control
    - Update Maintainer email address to tracker.d.o.
    - Bump Standards-Version to 4.6.0.
    - Use https for Homepage.
    - Update Vcs-* after migration to Salsa.
    - Add Rules-Requires-Root field (no).
  * debian/copyright
    - Update upstream mailing list address.
    - Use https for Source URL.
  * debian/patches/01_Debian_config.patch
    - Add Forwarded field (not-needed).
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.
  * debian/watch
    - Use https for download link.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on debhelper.
  * Use secure URI in Homepage field.
  * Bump debhelper dependency to >= 10, since that's what is used in
    debian/compat.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 04 Sep 2021 23:54:50 -0400

wmbutton (0.7.1-1) unstable; urgency=medium

  * New maintainer (Closes: #866847).
  * New upstream release.
  * debian/compat
    - Bump debhelper compatibility level to 10.
  * debian/control
    - Bump Standards-Version to 4.0.0.
    - Bump debhelper to >= 10 in Build-Depends.
    - Remove x11proto-core-dev from Build-Depends.  It was redundant
      as it is already a dependency of libx11-dev, libxext-dev, and
      libxpm-dev.
    - Add pkg-config to Build-Depends.
    - Update Homepage and Vcs-*.
    - Sort with wrap-and-sort.
  * debian/copyright
    - Update Format.
  * debian/docs
    - Do not install example config file; it is exactly the same
      as the system config file installed in /etc.
  * debian/manpages
    - Remove unnecessary file; manpage already installed by upstream
      build system.
  * debian/menu
    - Remove file; the Debian menu has been deprecated.
  * debian/patches/01_Debian_config.patch
    - Refresh for new version.
  * debian/README.Debian
    - Remove file; its contents were not Debian-specific and were
      already covered in the upstream README.
  * debian/rules
    - Use all hardening flags.
    - Remove CPPFLAGS hack; no longer needed.
  * debian/watch
    - Update with new download location.
  * debian/wmbutton.lintian-overides
    - Remove file.  The only override was no-upstream-changelog, but
      upstream now ships a changelog.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 17 Jul 2017 05:07:36 -0400

=== debian/control ===
Source: wmbutton
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               pkg-config
Homepage: https://www.dockapps.net/wmbutton
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmbutton
Vcs-Git: https://salsa.debian.org/wmaker-team/wmbutton.git
Rules-Requires-Root: no

Package: wmbutton
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dockapp displaying nine configurable buttons
 Wmbutton displays nine buttons which can be configured through a config file.
 Each button can be assigned up to three commands (one per mouse button).
 It is intended as a dockapp for X window managers such as Window Maker
 (wmaker package), AfterStep, BlackBox, and Enlightenment.
